--========================
--RAW RESULTS
--========================
SELECT * FROM sys.dm_os_sys_info;



--========================
--CPU & EXPOSED CORES
--========================
SELECT cpu_count, hyperthread_ratio, cpu_count / hyperthread_ratio AS exposed_core_count
FROM sys.dm_os_sys_info;




--========================
--START TIME
--========================
SELECT sqlserver_start_time FROM sys.dm_os_sys_info;
SELECT login_time FROM sys.dm_exec_sessions WHERE session_id = 1;
SELECT create_date FROM sys.databases WHERE database_id = 2;




--========================
--  MEMORY on SQL 2008 & R2
--========================
SELECT  physical_memory_in_bytes/1024/1024 AS physical_ram_mb
      , virtual_memory_in_bytes/1024/1024 AS virtual_ram_mb
      , bpool_committed*8/1024 AS buffer_pool_size
      , bpool_commit_target*8/1024 AS max_server_memory
FROM sys.dm_os_sys_info;



--========================
--  MEMORY on SQL 2012
--========================
SELECT  physical_memory_kb/1024 AS physical_ram_mb
      , virtual_memory_kb/1024 AS virtual_ram_mb
      , committed_kb/1024 AS buffer_pool_size
      , committed_target_kb/1024 AS max_server_memory
FROM sys.dm_os_sys_info;
