--===============================
-- ALL RING BUFFER DATA
--===============================
SELECT  ring_buffer_address
      , ring_buffer_type
      , timestamp
      , record 
FROM sys.dm_os_ring_buffers
ORDER BY ring_buffer_type;
GO

--===============================
-- TYPES OF RING BUFFERS
--===============================
SELECT DISTINCT ring_buffer_type
FROM sys.dm_os_ring_buffers
ORDER BY ring_buffer_type;
GO


--===============================
-- RING_BUFFER_SCHEDULER_MONITOR
--===============================
SELECT  [timestamp]
      , CONVERT(XML, record) AS [record]
FROM    sys.dm_os_ring_buffers
WHERE   ring_buffer_type = N'RING_BUFFER_SCHEDULER_MONITOR'
        AND record LIKE '%<SystemHealth>%'
GO